# set working directory to location of macro files eg "C:/WHO/igrowup_R"
setwd("~/Desktop/WHO/igrowup_R")

# source WHO macro file (note that I moved the loading of LMS tables to the macro code)
source("igrowup_standard.r") 

# read sample survey data (note that sex is labeled GENDER)
dat1<-read.csv("survey.csv");head(dat1);

# call igrowup.standard(): oedema and SW = survey weights optional
igrowup.standard(FileLab="out", FilePath="", mydf=dat1, sex=GENDER, age=agemons, age.month=T, weight=WEIGHT,lenhei=HEIGHT, measure=measure, headc=HEAD, armc=MUAC, triskin=TRI, subskin=SUB, oedema=oedema, sw=SW)


# load WHO macro files for restricted analysis
# source WHO macro file 
source("igrowup_restricted.r") 

# call igrowup.restricted() (height, weight, BMI, and WFL only)
igrowup.restricted(FileLab="out", FilePath="", mydf=dat1, sex=GENDER, age=agemons, age.month=T, weight=WEIGHT,lenhei=HEIGHT, measure=measure, oedema=oedema, sw=SW)
